clang-tools 8.0.0

Namespaces | Functions
FileIndex.cpp File Reference
`#include "FileIndex.h"`
`#include "ClangdUnit.h"`
`#include "Logger.h"`
`#include "SymbolCollector.h"`
`#include "index/Index.h"`
`#include "index/MemIndex.h"`
`#include "index/Merge.h"`
`#include "index/dex/Dex.h"`
`#include "clang/Index/IndexingAction.h"`
`#include "clang/Lex/MacroInfo.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include <memory>`
Include dependency graph for FileIndex.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static std::pair< SymbolSlab, RefSlab > | clang::clangd::indexSymbols (ASTContext &AST, std::shared_ptr< Preprocessor > PP, llvm::ArrayRef< Decl *> DeclsToIndex, bool IsIndexMainAST)
std::pair< SymbolSlab, RefSlab > | clang::clangd::indexMainDecls (ParsedAST &AST)
| Retrieves symbols and refs of local top level decls in `AST` (i.e. More...
SymbolSlab | clang::clangd::indexHeaderSymbols (ASTContext &AST, std::shared_ptr< Preprocessor > PP)
| Idex declarations from `AST` and macros from `PP` that are declared in included headers. More...